OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.ConditionalRendering

Description

This module corresponds to section 10.10 (Conditional Rendering) of the OpenGL 4.4 specs.

# Documentation

data ConditionalRenderMode Source #

Constructors

QueryWait |
QueryNoWait |
QueryByRegionWait |
QueryByRegionNoWait |

#### Instances

Instances details

Show ConditionalRenderMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.ConditionalRendering Methods showsPrec :: Int -> ConditionalRenderMode -> ShowS Source # show :: ConditionalRenderMode -> String Source # showList :: [ConditionalRenderMode] -> ShowS Source #
Eq ConditionalRenderMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.ConditionalRendering Methods (==) :: ConditionalRenderMode -> ConditionalRenderMode -> Bool Source # (/=) :: ConditionalRenderMode -> ConditionalRenderMode -> Bool Source #
Ord ConditionalRenderMode Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.ConditionalRendering

Methods

compare :: ConditionalRenderMode -> ConditionalRenderMode -> Ordering Source #

(<) :: ConditionalRenderMode -> ConditionalRenderMode -> Bool Source #

(<=) :: ConditionalRenderMode -> ConditionalRenderMode -> Bool Source #

(>) :: ConditionalRenderMode -> ConditionalRenderMode -> Bool Source #

(>=) :: ConditionalRenderMode -> ConditionalRenderMode -> Bool Source #

max :: ConditionalRenderMode -> ConditionalRenderMode -> ConditionalRenderMode Source #

min :: ConditionalRenderMode -> ConditionalRenderMode -> ConditionalRenderMode Source #

beginConditionalRender :: QueryObject -> ConditionalRenderMode -> IO () Source #

endConditionalRender :: IO () Source #

withConditionalRender :: QueryObject -> ConditionalRenderMode -> IO a -> IO a Source #